/* ploticus data display engine.  Software, documentation, and examples.  
 * Copyright 1998-2001 Stephen C. Grubb  (scg@jax.org).
 * Covered by GPL; see the file ./Copyright for details. */

/* PROC DATESETTINGS - make date parameter settings */

#include "pl.h"

PLP_datesettings()
{
int i;
char attr[40], val[256];
char *line, *lineval;
int nt, lvp;
int first;

int stat;
int align;
double adjx, adjy;


TDH_errprog( "datesettings" );

/* get attributes.. */
first = 1;
while( 1 ) {
	line = getnextattr( first, attr, val, &lvp, &nt );
	if( line == NULL ) break;
	first = 0;
	lineval = &line[lvp];

	if( stricmp( attr, "omitweekends" )==0 ) DT_setdateparms( "Omitweekends", val );
	else if( stricmp( attr, "pivotyear" )==0 ) DT_setdateparms( "Pivotyear", val );
	else if( stricmp( attr, "lazydates" )==0 ) DT_setdateparms( "Lazydates", val );
	else if( stricmp( attr, "format" )==0 ) DT_setdatefmt( val );

	else Eerr( 1, "attribute not recognized", attr );
	}

return( 0 );
}
